| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qx::IxCollection Class Reference
QxCollection : QxOrm library container (keep insertion order + quick access by index + quick access by key)

qx::IxCollection : common interface for all QxOrm containers qx::QxCollection<Key, Value> More...

`#include <IxCollection.h>`

Inheritance diagram for qx::IxCollection:

List of all members.

## Public Member Functions
| IxCollection ()
virtual | ~IxCollection ()=0
virtual long | _count () const =0
virtual void | _clear ()=0
virtual bool | _remove (long index)=0
virtual qx::any | _at (long index) const =0
template<typename T >
T | _get (long index) const

## Detailed Description

qx::IxCollection : common interface for all QxOrm containers qx::QxCollection<Key, Value>

Definition at line 56 of file IxCollection.h.

## Constructor & Destructor Documentation

qx::IxCollection::IxCollection | ( |  | ) | `[inline]`

Definition at line 61 of file IxCollection.h.

virtual qx::IxCollection::~IxCollection | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual qx::any qx::IxCollection::_at | ( | long | index | ) | const`[pure virtual]`

Implemented in qx::QxCollection< Key, Value >, qx::QxCollection< QString, IxBoostSerializeRegisterHelper * >, qx::QxCollection< type_primary_key, type_ptr >, qx::QxCollection< QString, type_qx_cache >, qx::QxCollection< QString, type_lst_validator_ptr >, qx::QxCollection< QString, IxClass * >, and qx::QxCollection< QString, type_bind_value >.

virtual void qx::IxCollection::_clear | ( |  | ) | `[pure virtual]`

Implemented in qx::QxCollection< Key, Value >, qx::QxCollection< QString, IxBoostSerializeRegisterHelper * >, qx::QxCollection< type_primary_key, type_ptr >, qx::QxCollection< QString, type_qx_cache >, qx::QxCollection< QString, type_lst_validator_ptr >, qx::QxCollection< QString, IxClass * >, and qx::QxCollection< QString, type_bind_value >.

virtual long qx::IxCollection::_count | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxCollection< Key, Value >, qx::QxCollection< QString, IxBoostSerializeRegisterHelper * >, qx::QxCollection< type_primary_key, type_ptr >, qx::QxCollection< QString, type_qx_cache >, qx::QxCollection< QString, type_lst_validator_ptr >, qx::QxCollection< QString, IxClass * >, and qx::QxCollection< QString, type_bind_value >.

template<typename T >

T qx::IxCollection::_get | ( | long | index | ) | const`[inline]`

Definition at line 70 of file IxCollection.h.

virtual bool qx::IxCollection::_remove | ( | long | index | ) | `[pure virtual]`

Implemented in qx::QxCollection< Key, Value >, qx::QxCollection< QString, IxBoostSerializeRegisterHelper * >, qx::QxCollection< type_primary_key, type_ptr >, qx::QxCollection< QString, type_qx_cache >, qx::QxCollection< QString, type_lst_validator_ptr >, qx::QxCollection< QString, IxClass * >, and qx::QxCollection< QString, type_bind_value >.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxCollection/IxCollection.h